'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _vuex = require('vuex');

var _request = require('request');

var _request2 = _interopRequireDefault(_request);

var _electron = require('electron');

var _Top = require('./Top');

var _Top2 = _interopRequireDefault(_Top);

var _Sidebar = require('./Sidebar');

var _Sidebar2 = _interopRequireDefault(_Sidebar);

var _BooksContent = require('./BooksContent');

var _BooksContent2 = _interopRequireDefault(_BooksContent);

var _Book = require('./Book');

var _Book2 = _interopRequireDefault(_Book);

var _BookList = require('./BookList');

var _BookList2 = _interopRequireDefault(_BookList);

var _AuthorList = require('./AuthorList');

var _AuthorList2 = _interopRequireDefault(_AuthorList);

var _BookViewer = require('./BookViewer');

var _BookViewer2 = _interopRequireDefault(_BookViewer);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
	template: '<div :class="[\'main\', { \'update\' : update_check }]">\n\t\t\t\t\t\t\t\t<top></top>\n\t\t\t\t\t\t\t\t<sidebar v-show="toggleBooksContent"></sidebar>\n\t\t\t\t\t\t\t\t<books-content v-show="toggleBooksContent"></books-content>\n\t\t\t\t\t\t\t\t<book-viewer v-show="! toggleBooksContent" :src="openedBookPath"></book-viewer>\n\t\t\t\t\t\t\t\t<div id="book-loader" v-show="isLoading">\n\t\t\t\t\t\t\t\t\t<div class="spinner">\n\t\t\t\t\t\t\t\t\t\t<div class="rect1"></div>\n\t\t\t\t\t\t\t\t\t\t<div class="rect2"></div>\n\t\t\t\t\t\t\t\t\t\t<div class="rect3"></div>\n\t\t\t\t\t\t\t\t\t\t<div class="rect4"></div>\n\t\t\t\t\t\t\t\t\t\t<div class="rect5"></div>\n\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t<div class="update_check" v-show="update_check">\n\t\t\t\t\t\t\t\t\t<span>There are updates currently available.</span>\n\t\t\t\t\t\t\t\t\t<button @click="downloadUpdate"> Download Update </button>\n\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t</div>',
	computed: _extends({}, (0, _vuex.mapGetters)({
		toggleBooksContent: 'toggleBooksContent',
		openedBookPath: 'openedBookPath',
		isLoading: 'isLoading'
	})),
	data: function data() {
		return { update_check: false };
	},

	methods: {
		downloadUpdate: function downloadUpdate() {
			var homepage = require('../../package.json').homepage;
			_electron.shell.openExternal(homepage + '/releases/latest');
		}
	},
	created: function created() {
		var _this = this;

		localStorage.clear();

		try {
			_request2.default.get('https://api.github.com/repos/oguzhaninan/Buka/releases/latest', { headers: { 'Content-Type': 'application/json', 'User-Agent': 'request' } }, function (err, res, body) {
				var jsonBody = JSON.parse(body);

				var currentVersion = require('../../package.json').version.toString();
				if (jsonBody.tag_name) {
					var releaseVersion = jsonBody.tag_name.substr(1).toString();
					_this.update_check = currentVersion != releaseVersion;
				}
			});
		} catch (error) {
			console.log(error);
		}
	},

	components: {
		'top': _Top2.default,
		'sidebar': _Sidebar2.default,
		'books-content': _BooksContent2.default,
		'book-viewer': _BookViewer2.default
	}
};