'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _vuex = require('vuex');

exports.default = {
    template: '<div class="book" draggable="true" @dragend="dragEnd" @dragstart="dragStart(bookId, listId)">\n                    <img :src="bookImagePath" :title="bookName" @click="openBook(bookPath)" />\n                    <button title="Remove Book" class="remove-book-btn dred" \n                        @click="removeBook({bookId: bookId,\n                                            bookAuthor: bookAuthor,\n                                            bookImagePath: bookImagePath,\n                                            listId:listId})" />\n                    <span class="title" :title="bookName" @click="openBook(bookPath)">{{ bookName }}</span>\n                    <span class="author" :title="bookAuthor">{{ bookAuthor }}</span>\n               </div>',
    props: ['book-id', 'book-name', 'book-author', 'book-page-count', 'book-image-path', 'book-path', 'list-id'],
    methods: _extends({}, (0, _vuex.mapActions)({
        openBook: 'openBook',
        removeBook: 'removeBook'
    }), {
        dragStart: function dragStart(bookId, listId) {
            localStorage.setItem('dragBookId', bookId);
            localStorage.setItem('dragListId', listId);

            document.querySelectorAll('[droppable]').forEach(function (e) {
                return e.classList.add('droppable');
            });
        },
        dragEnd: function dragEnd() {
            document.querySelectorAll('[droppable]').forEach(function (e) {
                e.classList.remove('droppable');
                e.classList.remove('enter');
            });
        }
    })
};