'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _vuex = require('vuex');

exports.default = {
    template: '<div class="book-list" @drop="drop(listId)" @dragover.prevent @dragenter="dragEnter" droppable="true">\n                    <span :title="listName" @click="openBookList({ listId: listId,\n                                                                   event: $event })">{{ listName }}</span>\n                    <label :for="listId" title="Add New Book" class="add-list-book"></label>\n                    <button title="Remove List" @click="remove({ listId: listId,\n                                                                 listName: listName })" class="remove-list-btn"></button>\n                    <input type="file" :id="listId" accept="application/pdf" @change="addListBook({ listId: listId,\n                                                                                                     event: $event\n                                                                                                    })" maxlength="5" hidden multiple/>\n                </div>',
    props: ['list-name', 'list-id', 'book-paths'],
    methods: _extends({}, (0, _vuex.mapActions)({
        openBookList: 'openBookList',
        remove: 'remove',
        addListBook: 'addListBook',
        drop: 'drop'
    }), {
        dragEnter: function dragEnter(e) {
            e.preventDefault();
            document.querySelectorAll('[droppable]').forEach(function (e) {
                return e.classList.remove('enter');
            });
            var bookList = e.path[1];
            if (bookList.classList.contains('droppable')) {
                bookList.classList.add('enter');
            }
        }
    })
};