'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _vuex = require('vuex');

var _BookList = require('./BookList');

var _BookList2 = _interopRequireDefault(_BookList);

var _AuthorList = require('./AuthorList');

var _AuthorList2 = _interopRequireDefault(_AuthorList);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
    template: '<div class="sidebar">                    \n                    <input type="text" class="search-box" placeholder="Search..." @input="bookSearching" />\n                    <div style="height: calc(100% - 145px)">\n                        <h5>Book Lists <span v-show="bookLists.length">{{ bookLists.length }}</span></h5>\n                        <ul>\n                            <li v-for="list in bookLists">\n                                <book-list :list-name="list.listName" :list-id="list._id"></book-list>\n                            </li>\n                        </ul>\n                        <h5>Authors <span v-show="authorsList.length">{{ authorsList.length }}</span></h5>\n                        <ul>\n                            <li v-for="author in authorsList">\n                                <author-list :author-name="author.authorName" :author-id="author._id"></author-list>\n                            </li>\n                        </ul>\n                    </div>\n                    <div class="w100 fl tc sidebar-bottom">\n                        <input type="text" id="add-new-list-input" @keyup.enter="addNewList" @input="updateNewListName" :value="newListName" placeholder="List name" v-show="newListInput"/>\n                        <button type="button" id="add-new-list-btn" \n                            :class="newListInput ?\n                                    newListName ? \'royal\' : \'dred\'\n                                    : \'royal\'"  @click="addNewList">\n                            {{ newListInput ? \n                                newListName ? \'Add List\' : \'Cancel\'\n                                : \'New List\' }}\n                        </button>\n                    </div>\n               </div>',
    computed: _extends({}, (0, _vuex.mapState)({
        newListName: function newListName(state) {
            return state.newListInput;
        }
    }), (0, _vuex.mapGetters)({
        bookLists: 'bookLists',
        authorsList: 'authorsList',
        newListInput: 'newListInput',
        newListName: 'newListName'
    })),
    components: {
        'book-list': _BookList2.default,
        'author-list': _AuthorList2.default
    },
    created: function created() {
        this.updateBookLists();
        this.updateAuthorsList();
    },

    methods: _extends({
        updateNewListName: function updateNewListName(e) {
            this.$store.commit('updateNewListName', e.target.value);
        }
    }, (0, _vuex.mapMutations)({
        updateBookLists: 'updateBookLists',
        updateAuthorsList: 'updateAuthorsList'
    }), (0, _vuex.mapActions)({
        addNewList: 'addNewList',
        bookSearching: 'bookSearching'
    }))
};