'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _vuex = require('vuex');

var _nodeGoogleTranslateSkidz = require('node-google-translate-skidz');

var _nodeGoogleTranslateSkidz2 = _interopRequireDefault(_nodeGoogleTranslateSkidz);

var _languages = require('../utils/languages');

var _languages2 = _interopRequireDefault(_languages);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
	template: '<div class="translate-form" v-show="showTranslate">\n\t\t\t\t\t\t\t\t\t<select v-model="sourceSelectedLang" class="fl">\n\t\t\t\t\t\t\t\t\t\t<option v-for="lang in languages" :value="lang.value"> {{lang.text}} </option>\n\t\t\t\t\t\t\t\t\t</select>\n\t\t\t\t\t\t\t\t\t<button id="switch-languages" title="Switch Languages" @click="switchLangs"></button>\n\t\t\t\t\t\t\t\t\t<select v-model="targetSelectedLang" class="fr">\n\t\t\t\t\t\t\t\t\t\t<option v-for="lang in languages" :value="lang.value"> {{lang.text}} </option>\n\t\t\t\t\t\t\t\t\t</select>\n\t\t\t\t\t\t\t\t\t<textarea v-model="sourceText" placeholder="Source Text" maxlength="1000" @keyup.enter="translate"></textarea>\n\t\t\t\t\t\t\t\t\t<span class="trans-char-count fr db"> {{ sourceText.length }} / 1000 </span>\n\t\t\t\t\t\t\t\t\t<textarea v-model="targetText" placeholder="Target Text">{{targetText}}</textarea>\n\t\t\t\t\t\t\t\t\t<button id="clear-translate-btn" class="fl" @click="clearText">Clear</button>\n\t\t\t\t\t\t\t\t\t<div id="trans-loader" class="fl" v-show="transLoader">\n\t\t\t\t\t\t\t\t\t\t<div class="dot1"></div>\n\t\t\t\t\t\t\t\t\t\t<div class="dot2"></div>\n\t\t\t\t\t\t\t\t\t\t<div class="dot3"></div>\n\t\t\t\t\t\t\t\t\t\t<div class="dot4"></div>\n\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t<button id="translate-btn" class="fr royal" @click="translate">Translate</button>',
	data: function data() {
		return {
			sourceText: '',
			targetText: '',
			languages: _languages2.default,
			sourceSelectedLang: 'en',
			targetSelectedLang: 'tr',
			transLoader: false
		};
	},

	methods: {
		translate: function translate() {
			var _this = this;

			if (this.sourceText) {
				this.transLoader = true;
				try {
					(0, _nodeGoogleTranslateSkidz2.default)({
						text: this.sourceText,
						source: this.sourceSelectedLang,
						target: this.targetSelectedLang
					}, function (result) {
						if (result.translation) {
							_this.targetText = result.translation;
							_this.transLoader = false;
						} else _this.transLoader = false;
					});
				} catch (error) {
					this.transLoader = false;
				}
			}
		},
		switchLangs: function switchLangs() {
			var temp = this.sourceSelectedLang;
			this.sourceSelectedLang = this.targetSelectedLang;
			this.targetSelectedLang = temp;
			temp = this.sourceText;
			this.sourceText = this.targetText;
			this.targetText = temp;
		},
		clearText: function clearText() {
			this.sourceText = this.targetText = '';
		}
	},
	computed: _extends({}, (0, _vuex.mapGetters)({
		showTranslate: 'showTranslate'
	}))
};