'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _fs = require('fs');

var fs = _interopRequireWildcard(_fs);

var _electron = require('electron');

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

var actions = {
	openBook: function openBook(_ref, bookPath) {
		var rootState = _ref.rootState;

		rootState.app.openedBookPath = '../pdfviewer/web/viewer.html?file=' + bookPath;
		rootState.app.toggleBooksContent = false;

		try {
			document.getElementById('book-viewer-iframe').onload = function () {
				var externalLink = document.getElementById('book-viewer-iframe').contentDocument.getElementById('externalLink');

				if (externalLink) externalLink.onchange = function () {
					return _electron.shell.openExternal(externalLink.value);
				};
			};
		} catch (err) {}
	},
	removeBook: function removeBook(_ref2, args) {
		var commit = _ref2.commit;

		fs.unlink(args.bookImagePath);

		var bookCount = 0;
		bookListDb.find({}, function (err, lists) {
			lists.forEach(function (list) {
				list.books.forEach(function (book) {
					if (book.bookAuthor == args.bookAuthor) bookCount++;
				});
			});

			if (bookCount == 1) authorListDb.remove({ authorName: args.bookAuthor });

			bookListDb.update({ _id: args.listId }, { $pull: { books: { bookId: args.bookId } } }, function (err, n) {
				commit('updateAuthorsList');
				commit('updateBookContents', args.listId);
			});
		});
	}
};

exports.default = {
	actions: actions
};