'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = saveImage;

var _fs = require('fs');

var fs = _interopRequireWildcard(_fs);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function saveImage(data, imagePath) {
	return new Promise(function (resolve) {

		PDFJS.disableWorker = true;
		var CANVAS = document.createElement('canvas'),
		    CTX = CANVAS.getContext('2d');

		PDFJS.getDocument(data).then(function (pdfDoc) {

			pdfDoc.getPage(1).then(function (page) {

				var viewport = page.getViewport(300 / page.getViewport(1).width);

				CANVAS.width = 300;
				CANVAS.height = viewport.height;

				var renderContext = {
					canvasContext: CTX,
					viewport: viewport
				};

				page.render(renderContext).then(function () {
					var base64Data = CANVAS.toDataURL('image/jpeg', 1).replace(/^data:image\/jpeg;base64,/, '');
					fs.writeFileSync(imagePath, base64Data, 'base64');
					CANVAS.remove();
					pdfDoc.getMetadata().then(function (meta) {
						return resolve({
							meta: meta,
							pageCount: pdfDoc.numPages || pdfDoc.pdfInfo.numPages || 0
						});
					});
				});
			});
		});
	});
}